chiark
/
gitweb
/
~mdw
/
stgit
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
|
inline
| side by side (parent:
a3e4564
)
Add contrib/stg-show-old: show old version of a patch.
author
Yann Dirson
<ydirson@altern.org>
Fri, 2 Mar 2007 21:34:28 +0000
(21:34 +0000)
committer
Catalin Marinas
<catalin.marinas@gmail.com>
Fri, 2 Mar 2007 21:34:28 +0000
(21:34 +0000)
Signed-off-by: Yann Dirson <ydirson@altern.org>
contrib/stg-show-old
[new file with mode: 0755]
patch
|
blob
diff --git a/contrib/stg-show-old
b/contrib/stg-show-old
new file mode 100755
(executable)
index 0000000..
acf4e7c
--- /dev/null
+++ b/
contrib/stg-show-old
@@ -0,0
+1,13
@@
+#!/bin/sh
+set -e
+
+# stg-show-old - mini helper to look at the previous version of a
+# patch (current one by default)
+
+# Copyright (c) 2006-2007 Yann Dirson <ydirson@altern.org>
+# Subject to the GNU GPL, version 2.
+
+[ "$#" -le 1 ] || { echo >&2 "Usage: $(basename $0) [<patch>]"; exit 1; }
+patch="$1"
+
+stg show "${patch}//top.old"